PDA

View Full Version : Setting up EXTJS 5.x without Sencha CMD , Need Help here



gmprakashlivingstone
26 Jan 2015, 9:00 PM
Hi ,
i was trying to upgrade an App from ExtJS 4.1 to ExtJS 5.1 .

Initially i have added Ext-all-debug.js in Index.jsp with the required Theme.

Iam Ending up with some error like

· [E] Ext.ComponentManager.register(): Registering duplicate component id "Some ID"· [E] Ext.ComponentManager.register(): Registering duplicate component id "Some Name".

But if i use ext-all.js , iam not getting this error.

Also Please tell me how to set the compatibility for Extjs 4.1 in ExtJS 5.1.

aaugen
27 Jan 2015, 12:32 AM
Hi gmprakashlivingstone,

Look at the following link for Ext JS Guides, there is chapter on Ext JS 5 migration:
http://docs.sencha.com/extjs/5.1/whats_new/5.0/extjs_upgrade_guide.html

gmprakashlivingstone
27 Jan 2015, 1:16 AM
Hi , i have followed the guide , i have also added the EXT Compat Layer setting . But Ext-all.js and Ext.all-debug.js throwing diff error . i mean the component working in Ext-all-debug.js is not woring in ext-all.js i have the version Extjs 5.1 is there any stable buid i need to download or is there any thing am i missing.